AM_CPPFLAGS = \
	$(UNITY_WEBAPPS_CFLAGS) \
	$(UNITY_WEBAPPS_COVERAGE_CFLAGS)  \
	-I$(top_srcdir)/src \
	-I$(top_srcdir)/src/libunity-webapps \
	-I$(top_srcdir)/tests/traced/common

noinst_PROGRAMS = \
	set-count clear-count set-progress clear-progress set-urgent\
	add-actions interactive-action-callbacks remove-actions\
	quit-application-interactive add-static-action

add_static_action_SOURCES = \
	add-static-action.c \
	../common/uwa-test-client.c
add_static_action_LDADD = \
	$(UNITY_WEBAPPS_LIBS) \
	$(UNITY_WEBAPPS_COVERAGE_LDFLAGS) \
	$(top_builddir)/src/libunity-webapps/libunity-webapps.la

set_count_SOURCES = \
	set-count.c \
	../common/uwa-test-client.c
set_count_LDADD = \
	$(UNITY_WEBAPPS_LIBS) \
	$(UNITY_WEBAPPS_COVERAGE_LDFLAGS) \
	$(top_builddir)/src/libunity-webapps/libunity-webapps.la

set_urgent_SOURCES = \
	set-urgent.c \
	../common/uwa-test-client.c
set_urgent_LDADD = \
	$(UNITY_WEBAPPS_LIBS) \
	$(UNITY_WEBAPPS_COVERAGE_LDFLAGS) \
	$(top_builddir)/src/libunity-webapps/libunity-webapps.la

clear_count_SOURCES = \
	clear-count.c \
	../common/uwa-test-client.c
clear_count_LDADD = \
	$(UNITY_WEBAPPS_LIBS) \
	$(UNITY_WEBAPPS_COVERAGE_LDFLAGS) \
	$(top_builddir)/src/libunity-webapps/libunity-webapps.la

set_progress_SOURCES = \
	set-progress.c \
	../common/uwa-test-client.c
set_progress_LDADD = \
	$(UNITY_WEBAPPS_LIBS) \
	$(UNITY_WEBAPPS_COVERAGE_LDFLAGS) \
	$(top_builddir)/src/libunity-webapps/libunity-webapps.la

clear_progress_SOURCES = \
	clear-progress.c \
	../common/uwa-test-client.c
clear_progress_LDADD = \
	$(UNITY_WEBAPPS_LIBS) \
	$(UNITY_WEBAPPS_COVERAGE_LDFLAGS) \
	$(top_builddir)/src/libunity-webapps/libunity-webapps.la

add_actions_SOURCES = \
	add-actions.c \
	../common/uwa-test-client.c
add_actions_LDADD = \
	$(UNITY_WEBAPPS_LIBS) \
	$(UNITY_WEBAPPS_COVERAGE_LDFLAGS) \
	$(top_builddir)/src/libunity-webapps/libunity-webapps.la

interactive_action_callbacks_SOURCES = \
	interactive-action-callbacks.c \
	../common/uwa-test-client.c
interactive_action_callbacks_LDADD = \
	$(UNITY_WEBAPPS_LIBS) \
	$(UNITY_WEBAPPS_COVERAGE_LDFLAGS) \
	$(top_builddir)/src/libunity-webapps/libunity-webapps.la

quit_application_interactive_SOURCES = \
	quit-application-interactive.c \
	../common/uwa-test-client.c
quit_application_interactive_LDADD = \
	$(UNITY_WEBAPPS_LIBS) \
	$(UNITY_WEBAPPS_COVERAGE_LDFLAGS) \
	$(top_builddir)/src/libunity-webapps/libunity-webapps.la

remove_actions_SOURCES = \
	remove-actions.c \
	../common/uwa-test-client.c
remove_actions_LDADD = \
	$(UNITY_WEBAPPS_LIBS) \
	$(UNITY_WEBAPPS_COVERAGE_LDFLAGS) \
	$(top_builddir)/src/libunity-webapps/libunity-webapps.la
